/*
 * Project Scelight External Module SDK.
 * 
 * Copyright (c) 2013 Andras Belicza <iczaaa@gmail.com>
 * 
 * See SDK-LICENSE.txt.
 */
package hu.belicza.andras.helloworldextmod;

import java.util.Date;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * Wrapper class holding the data of an event, this will be a row in the table.
 * 
 * @author beliczaa
 */
public class EventData {
	
	/** Internal automatic ID generator. */
	private static final AtomicInteger idGenerator = new AtomicInteger();
	
	/** Id of the event. */
	public final Integer id;
	
	/** Time of the event. */
	public final Date time;
	
	/** Text of the event. */
	public final String text;
	
	/**
	 * Creates a new {@link EventData}.
	 * 
	 * @param text text of the event
	 */
	public EventData( final String text ) {
		id = idGenerator.incrementAndGet();
		time = new Date();
		this.text = text;
	}
	
}
